using System;
using System.Data;
using System.Collections.Generic;

using CallCenterApi.Model;
namespace CallCenterApi.BLL
{
	/// <summary>
	/// T_Web_News
	/// </summary>
	public partial class T_Web_News
	{
		private readonly CallCenterApi.DAL.T_Web_News dal=new CallCenterApi.DAL.T_Web_News();
		public T_Web_News()
		{}
		#region  Method
		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int id)
		{
			return dal.Exists(id);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(CallCenterApi.Model.T_Web_News model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(CallCenterApi.Model.T_Web_News model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int id)
		{
			
			return dal.Delete(id);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string idlist )
		{
			return dal.DeleteList(idlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_Web_News GetModel(int id)
		{
			
			return dal.GetModel(id);
		}


		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<CallCenterApi.Model.T_Web_News> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<CallCenterApi.Model.T_Web_News> DataTableToList(DataTable dt)
		{
			List<CallCenterApi.Model.T_Web_News> modelList = new List<CallCenterApi.Model.T_Web_News>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				CallCenterApi.Model.T_Web_News model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new CallCenterApi.Model.T_Web_News();
					if(dt.Rows[n]["id"]!=null && dt.Rows[n]["id"].ToString()!="")
					{
						model.id=int.Parse(dt.Rows[n]["id"].ToString());
					}
					if(dt.Rows[n]["ClassId"]!=null && dt.Rows[n]["ClassId"].ToString()!="")
					{
						model.ClassId=int.Parse(dt.Rows[n]["ClassId"].ToString());
					}
					if(dt.Rows[n]["bt"]!=null && dt.Rows[n]["bt"].ToString()!="")
					{
					model.bt=dt.Rows[n]["bt"].ToString();
					}
					if(dt.Rows[n]["nr"]!=null && dt.Rows[n]["nr"].ToString()!="")
					{
					model.nr=dt.Rows[n]["nr"].ToString();
					}
					if(dt.Rows[n]["sj"]!=null && dt.Rows[n]["sj"].ToString()!="")
					{
						model.sj=DateTime.Parse(dt.Rows[n]["sj"].ToString());
					}
					if(dt.Rows[n]["img"]!=null && dt.Rows[n]["img"].ToString()!="")
					{
					model.img=dt.Rows[n]["img"].ToString();
					}
					if(dt.Rows[n]["ordernum"]!=null && dt.Rows[n]["ordernum"].ToString()!="")
					{
						model.ordernum=int.Parse(dt.Rows[n]["ordernum"].ToString());
					}
					if(dt.Rows[n]["urlname"]!=null && dt.Rows[n]["urlname"].ToString()!="")
					{
					model.urlname=dt.Rows[n]["urlname"].ToString();
					}
					if(dt.Rows[n]["zxbh"]!=null && dt.Rows[n]["zxbh"].ToString()!="")
					{
						model.zxbh=int.Parse(dt.Rows[n]["zxbh"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

